## Name

plq_me — Piecewise linear quadratic (plq), Moreau envelope

## Calling Sequence

    plqme = plq_me(plqf,lambda)

## Parameters

plqf

  matrix. A plq function with dimensions n x 4.

lambda

  constant, smoothing parameter.

plqme

  matrix. A plq function with dimensions n x 4.

## Description

<listitem>

Compute the Moreau envelope (ME) transform of a convex plq function, where the input and output is given in the form of a plq matrix. The Moreau Envelope is computed using the formula:

        M[lambda](s) = (1/2lambda)||s||^2 - (1/lambda)g*[lambda](s),
        where g[lambda](x) = (1/2)*||x||^2 + lambda*f(x),
          and * represents the Fenchel Conjugate.

</listitem>

## Examples

    lambda=1;
    fctn = [%inf,1/2,0,0];
    result = plq_me(fctn,lambda);

## See Also

plq_function

## Authors

`Mike Trienis`, University of British Columbia, BC, Canada

## Used Functions

plq_me_max_scale is called when nonconvexity conditions apply.